Scientific Linux Security Update : libxml2 on SL6.x i386/x86_64 (20140519)

medium Nessus Plugin ID 74103
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Scientific Linux host is missing one or more security updates.

Description

It was discovered that libxml2 loaded external parameter entities even when entity substitution was disabled. A remote attacker able to provide a specially crafted XML file to an application linked against libxml2 could use this flaw to conduct XML External Entity (XXE) attacks, possibly resulting in a denial of service or an information leak on the system. (CVE-2014-0191)

An out-of-bounds read flaw was found in the way libxml2 detected the end of an XML file. A remote attacker could provide a specially crafted XML file that, when processed by an application linked against libxml2, could cause the application to crash. (CVE-2013-2877)

The desktop must be restarted (log out, then log back in) for this update to take effect.

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?4983ed8f

Plugin Details

Severity: Medium

ID: 74103

File Name: sl_20140519_libxml2_on_SL6_x.nasl

Version: 1.9

Type: local

Agent: unix

Published: 5/20/2014

Updated: 1/14/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:fermilab:scientific_linux:libxml2, p-cpe:/a:fermilab:scientific_linux:libxml2-debuginfo, p-cpe:/a:fermilab:scientific_linux:libxml2-devel, p-cpe:/a:fermilab:scientific_linux:libxml2-python, p-cpe:/a:fermilab:scientific_linux:libxml2-static, x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 5/19/2014

Vulnerability Publication Date: 7/10/2013

Reference Information

CVE: CVE-2013-2877, CVE-2014-0191